Bug 121005 - Crash in: libc-2.24.so ( only 6.1 )
Summary: Crash in: libc-2.24.so ( only 6.1 )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-29 08:29 UTC by kostas
Modified: 2018-11-09 10:01 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["libc-2.24.so"]


Attachments
File that crashes libreoffice (1.32 MB, application/vnd.oasis.opendocument.text)
2018-10-29 08:29 UTC, kostas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kostas 2018-10-29 08:29:05 UTC
Created attachment 146121 [details]
File that crashes libreoffice

This bug was filed from the crash reporting server and is br-faebbc35-76ba-4bc4-a1fc-813c6be0f92e.
=========================================

The attached file crashes libreoffice. To reproduce, just try to open the file.

Version: 6.1.1.2
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 4; OS: Linux 4.9; UI render: default; VCL: kde4; 
Locale: el-GR (en_GB.UTF-8); Calc: CL
Comment 1 Dieter Praas 2018-10-29 08:35:23 UTC
LO crashed with

Version: 6.0.6.2 (x64)
Build-ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group

but not with

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
Locale: en-US (de_DE); Calc: CL

Could you please try to reproduce it with 6.2.0.0.alpha1? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 2 kostas 2018-10-29 09:25:56 UTC
(In reply to Dieter Praas from comment #1)

Thanks for the quick response. It works with 6.2.0.0.alpha1+, so setting to  RESOLVED WORKSFORME.
Comment 3 Xisco Faulí 2018-10-29 10:07:29 UTC
So, i've bisected when the issue got fixed and it points to https://cgit.freedesktop.org/libreoffice/core/commit/?id=e4989ae8ca0d8b37e98caa5b68c164c79d27d574 which was included in target:6.1.1, however I can still reproduce the issue in

Version: 6.1.4.0.0+
Build ID: 8bef4f3033fff8eb12a58d3fa4cdd49076e18cf2
CPU threads: 16; OS: Windows 6.3; UI render: default; 
Locale: en-GB (en_GB); Calc: group threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3f9c477929c261a8862411c00153e4c7d0d0ae7c
CPU threads: 16; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: en-GB (en_GB); Calc: threaded

This is weird... Putting it back to NEW
Comment 4 Xisco Faulí 2018-10-29 10:13:49 UTC
I do confirm it also crashes in

Versió: 6.1.3.1
ID de la construcció: 1:6.1.3~rc1-0ubuntu0.16.04.1
Fils de CPU: 4; SO: Linux 4.15; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: en-US (ca_ES.UTF-8); Calc: group threaded

so probably another commit should have been backported along with https://cgit.freedesktop.org/libreoffice/core/commit/?id=e4989ae8ca0d8b37e98caa5b68c164c79d27d574
Comment 6 Xisco Faulí 2018-10-30 20:12:36 UTC
(In reply to Caolán McNamara from comment #5)
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=c6222fb6b8b429fa2e767c73ad616147f95ab1b9 I believe,
> https://gerrit.libreoffice.org/#/c/62629/ is the backport

Indeed!
Reverting the commit in master makes LibreOffice to crash...
Comment 7 Commit Notification 2018-11-08 16:59:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/ba4861a0dfdf97448925130995d69b4c516f0644%5E%21

tdf#121005 forcepoint#44 merge into isDeleteForbidden

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-11-09 10:01:22 UTC
No longer crashes in

Version: 6.1.4.0.0+
Build ID: c0da7d8509516ba6f1fc8781c042fd6f1bd92297
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Caolán, Thanks for fixing this!!

Closing as VERIFIED FIXED!!